ReferenceResponseModel

object
typestring

The type of the reference data.

parentKeystring

The key of the parent entity.

keystring

The key of the reference data.

valuestring

The value associated with the reference data.

Example

ReferenceResponseTree

object
typestring

The type of the reference data node.

keystring

The key of the reference data node.

valuestring

The value associated with the reference data node.

childarray[object]

List of child nodes in the reference data hierarchy.

Show Child Parameters
Example

TransactionLabelResponse

object

Resolved transaction label entry from transaction_label_store.

keystring

The stable identifier that was resolved.

Example:OPERATIONS_REVIEW

typestring

The label type the key belongs to.

Allowed values:PROCESSPROCESS_SUB_TYPECASE_GROUP

Example:PROCESS

labelstring

The display label for the resolved key.

Example:Operations Review

Example

CarrierMasterRequest

object

Request body to create or update a carrier master record.

carrierstringrequired

Unique carrier code (required, non-blank). Trimmed and stored uppercase.

>= 1 characters

Example:ACME

carrierNamestringrequired

Display name for the carrier (required, non-blank). Trimmed on save.

>= 1 characters

Example:Acme Insurance

Example

CarrierMasterResponse

object

Persisted carrier master record. Server owns id.

idstring(uuid)

Server-generated unique identifier.

Example:550e8400-e29b-41d4-a716-446655440000

carrierstring

Unique carrier code (uppercase).

Example:ACME

carrierNamestring

Display name for the carrier.

Example:Acme Insurance

Example